import * as React from 'react';
import "./styles.css"

// tslint:disable-next-line:no-any
const SvgComponent = (props: any) => (
	<div className="weight-svg">
		<span className="weight-of-task">{props.weight}</span>
		<svg width="25" height="33" viewBox="0 0 25 33" fill="none" xmlns="http://www.w3.org/2000/svg" {...props}>
			<path d="M6.6 11.2C6.5 11.2 6.3 11.2 6.2 11.1C6 11 5.8 10.7 5.8 10.4V7.5C5.8 5 7.8 3 10.3 3H13.9C16.4 3 18.4 5 18.4 7.5V10.4C18.4 10.7 18.2 10.9 18 11.1C17.9 11.2 17.7 11.2 17.6 11.2C17.5 11.2 17.3 11.2 17.2 11.1C15.6 10.2 13.9 9.8 12.1 9.8C10.3 9.8 8.5 10.2 7 11.1C6.9 11.1 6.7 11.2 6.6 11.2ZM12.1 8.1C13.7 8.1 15.3 8.4 16.8 9.1V7.5C16.8 5.9 15.5 4.6 13.9 4.6H10.3C8.7 4.6 7.4 5.9 7.4 7.5V9.1C8.9 8.5 10.5 8.1 12.1 8.1Z" fill="#1890FF" />
			<path d="M6.2 11C6.3 11.1 6.4 11.1 6.6 11.1C6.7 11.1 6.8 11.1 6.9 11C8.5 10.1 10.3 9.60001 12.1 9.60001C13.9 9.60001 15.7 10.1 17.3 11C17.5 11.1 17.8 11.1 18 11C18.2 10.9 18.3 10.6 18.3 10.4V7.50001C18.3 5.10001 16.3 3.10001 13.9 3.10001H10.3C7.9 3.10001 5.9 5.10001 5.9 7.50001V10.4C5.9 10.6 6 10.9 6.2 11ZM7.3 7.50001C7.3 5.80001 8.6 4.50001 10.3 4.50001H13.9C15.6 4.50001 16.9 5.90001 16.9 7.50001V9.30001C15.4 8.60001 13.7 8.30001 12.1 8.30001C10.4 8.30001 8.8 8.60001 7.3 9.30001V7.50001Z" fill="#1890FF" />
			<path d="M12.1 32.5C5.4 32.5 0 27 0 20.3C0 17.4 1 14.6 2.9 12.4V7.5C2.8 3.4 6.2 0 10.3 0H13.9C18 0 21.3 3.4 21.3 7.5V12.5C23.1 14.6 24.1 17.4 24.1 20.3C24.2 27 18.8 32.5 12.1 32.5ZM10.3 1.6C7.1 1.6 4.5 4.2 4.5 7.5V12.8C4.5 13 4.4 13.2 4.3 13.3C2.6 15.2 1.7 17.7 1.7 20.3C1.7 26.1 6.4 30.9 12.2 30.9C18 30.9 22.7 26.2 22.7 20.3C22.7 17.7 21.8 15.2 20.1 13.3C20 13.2 19.9 13 19.9 12.8V7.5C19.9 4.3 17.3 1.6 14.1 1.6H10.3Z" fill="#1890FF" />
		</svg>
	</div>
);

export default SvgComponent;
